<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::scan_image_boxes&lt; Feature_extractor_type, Box_generator &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1scan__image__boxes.html">scan_image_boxes</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1scan__image__boxes-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::scan_image_boxes&lt; Feature_extractor_type, Box_generator &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::scan_image_boxes&lt; Feature_extractor_type, Box_generator &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1scan__image__boxes.png" usemap="#dlib::scan_5Fimage_5Fboxes_3C_20Feature_5Fextractor_5Ftype_2C_20Box_5Fgenerator_20_3E_map" alt=""/>
  <map id="dlib::scan_5Fimage_5Fboxes_3C_20Feature_5Fextractor_5Ftype_2C_20Box_5Fgenerator_20_3E_map" name="dlib::scan_5Fimage_5Fboxes_3C_20Feature_5Fextractor_5Ftype_2C_20Box_5Fgenerator_20_3E_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,393,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4ff6ce969c3a8952183121df6231f4d2"><td class="memItemLeft" align="right" valign="top"><a id="a4ff6ce969c3a8952183121df6231f4d2"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:a4ff6ce969c3a8952183121df6231f4d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bc310b324f4917ccb15cb8018355a69"><td class="memItemLeft" align="right" valign="top"><a id="a0bc310b324f4917ccb15cb8018355a69"></a>
typedef Feature_extractor_type&#160;</td><td class="memItemRight" valign="bottom"><b>feature_extractor_type</b></td></tr>
<tr class="separator:a0bc310b324f4917ccb15cb8018355a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad90416023f8bd48c7f8ef3271808bda7"><td class="memItemLeft" align="right" valign="top"><a id="ad90416023f8bd48c7f8ef3271808bda7"></a>
typedef Box_generator&#160;</td><td class="memItemRight" valign="bottom"><b>box_generator</b></td></tr>
<tr class="separator:ad90416023f8bd48c7f8ef3271808bda7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35e67a4654e813a3f8882890b863112f"><td class="memTemplParams" colspan="2"><a id="a35e67a4654e813a3f8882890b863112f"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a35e67a4654e813a3f8882890b863112f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>load</b> (const image_type &amp;img)</td></tr>
<tr class="separator:a35e67a4654e813a3f8882890b863112f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1f346ec29d8bd00a3283649bbc0da8"><td class="memItemLeft" align="right" valign="top"><a id="a0c1f346ec29d8bd00a3283649bbc0da8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_loaded_with_image</b> () const</td></tr>
<tr class="separator:a0c1f346ec29d8bd00a3283649bbc0da8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92dd434b6117dd22de23cbbb5455e3b0"><td class="memItemLeft" align="right" valign="top"><a id="a92dd434b6117dd22de23cbbb5455e3b0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_configuration</b> (const feature_extractor_type &amp;fe)</td></tr>
<tr class="separator:a92dd434b6117dd22de23cbbb5455e3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d493da396e2cde7153a46191856ab56"><td class="memItemLeft" align="right" valign="top"><a id="a2d493da396e2cde7153a46191856ab56"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_configuration</b> (const box_generator &amp;bg)</td></tr>
<tr class="separator:a2d493da396e2cde7153a46191856ab56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a272b66289994f4c9c531ca6244a4588b"><td class="memItemLeft" align="right" valign="top"><a id="a272b66289994f4c9c531ca6244a4588b"></a>
const box_generator &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_box_generator</b> () const</td></tr>
<tr class="separator:a272b66289994f4c9c531ca6244a4588b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50eb84b2849ca7a601221dbfbe127555"><td class="memItemLeft" align="right" valign="top"><a id="a50eb84b2849ca7a601221dbfbe127555"></a>
const Feature_extractor_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_feature_extractor</b> () const</td></tr>
<tr class="separator:a50eb84b2849ca7a601221dbfbe127555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eabcf1155de94aad2d735e10f366a55"><td class="memItemLeft" align="right" valign="top"><a id="a8eabcf1155de94aad2d735e10f366a55"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>copy_configuration</b> (const <a class="el" href="classdlib_1_1scan__image__boxes.html">scan_image_boxes</a> &amp;item)</td></tr>
<tr class="separator:a8eabcf1155de94aad2d735e10f366a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec009e6715dbd0eca80a895842ccc748"><td class="memItemLeft" align="right" valign="top"><a id="aec009e6715dbd0eca80a895842ccc748"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_dimensions</b> () const</td></tr>
<tr class="separator:aec009e6715dbd0eca80a895842ccc748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a113a9ab9f6e5b5886c38955218da0a78"><td class="memItemLeft" align="right" valign="top"><a id="a113a9ab9f6e5b5886c38955218da0a78"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_spatial_pyramid_levels</b> () const</td></tr>
<tr class="separator:a113a9ab9f6e5b5886c38955218da0a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1506028205b765589ea90dbf0d4b3488"><td class="memItemLeft" align="right" valign="top"><a id="a1506028205b765589ea90dbf0d4b3488"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_num_spatial_pyramid_levels</b> (unsigned long levels)</td></tr>
<tr class="separator:a1506028205b765589ea90dbf0d4b3488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84b6af3119afe837fae05de51a8a2b0c"><td class="memItemLeft" align="right" valign="top"><a id="a84b6af3119afe837fae05de51a8a2b0c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>detect</b> (const <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;w, std::vector&lt; std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;dets, const double thresh) const</td></tr>
<tr class="separator:a84b6af3119afe837fae05de51a8a2b0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc1e3c70a2f8e6444de10201b3907ff"><td class="memItemLeft" align="right" valign="top"><a id="aecc1e3c70a2f8e6444de10201b3907ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_feature_vector</b> (const <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &amp;obj, <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;psi) const</td></tr>
<tr class="separator:aecc1e3c70a2f8e6444de10201b3907ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e5a2b46ddbf854ca0b41686541d53e"><td class="memItemLeft" align="right" valign="top"><a id="a30e5a2b46ddbf854ca0b41686541d53e"></a>
<a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_full_object_detection</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, const <a class="el" href="classdlib_1_1matrix.html">feature_vector_type</a> &amp;w) const</td></tr>
<tr class="separator:a30e5a2b46ddbf854ca0b41686541d53e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fbf31729b528f53f21378fe721b09ca"><td class="memItemLeft" align="right" valign="top"><a id="a7fbf31729b528f53f21378fe721b09ca"></a>
const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_best_matching_rect</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect) const</td></tr>
<tr class="separator:a7fbf31729b528f53f21378fe721b09ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6bc56d8fa3c810851769bf9a69d24f6"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1scan__image__boxes.html#af6bc56d8fa3c810851769bf9a69d24f6">get_num_detection_templates</a> () const</td></tr>
<tr class="separator:af6bc56d8fa3c810851769bf9a69d24f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4925c4085d5c54bafe9296f110bdc4a6"><td class="memItemLeft" align="right" valign="top"><a id="a4925c4085d5c54bafe9296f110bdc4a6"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_movable_components_per_detection_template</b> () const</td></tr>
<tr class="separator:a4925c4085d5c54bafe9296f110bdc4a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a686062f11cb1483e609206a9c94d39f0"><td class="memItemLeft" align="right" valign="top"><a id="a686062f11cb1483e609206a9c94d39f0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>test_coordinate_transforms</b> ()</td></tr>
<tr class="separator:a686062f11cb1483e609206a9c94d39f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41243876264d8c2e6029e6ce4faeb5e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1scan__image__boxes.html#a41243876264d8c2e6029e6ce4faeb5e1">get_feature_extraction_regions</a> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &amp;regions) const</td></tr>
<tr class="separator:a41243876264d8c2e6029e6ce4faeb5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6371a39366f0a216ab98bd4c64dc89a"><td class="memItemLeft" align="right" valign="top"><a id="ae6371a39366f0a216ab98bd4c64dc89a"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_components_per_detection_template</b> () const</td></tr>
<tr class="separator:ae6371a39366f0a216ab98bd4c64dc89a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:ae10ad7e1fdd5d485480870fb4b717f4a"><td class="memItemLeft" align="right" valign="top"><a id="ae10ad7e1fdd5d485480870fb4b717f4a"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>compare_pair_rect</b> (const std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &amp;a, const std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &amp;b)</td></tr>
<tr class="separator:ae10ad7e1fdd5d485480870fb4b717f4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57f54eabf4f29f80c2dbdb389c742c9"><td class="memItemLeft" align="right" valign="top"><a id="aa57f54eabf4f29f80c2dbdb389c742c9"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>add_grid_rects</b> (std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &amp;rects, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;object_box, unsigned int cells_x, unsigned int cells_y)</td></tr>
<tr class="separator:aa57f54eabf4f29f80c2dbdb389c742c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abe4443072384a37ff77121b056834e79"><td class="memItemLeft" align="right" valign="top"><a id="abe4443072384a37ff77121b056834e79"></a>
feature_extractor_type&#160;</td><td class="memItemRight" valign="bottom"><b>feats</b></td></tr>
<tr class="separator:abe4443072384a37ff77121b056834e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e880892862bca393745d8927b24a084"><td class="memItemLeft" align="right" valign="top"><a id="a1e880892862bca393745d8927b24a084"></a>
std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>search_rects</b></td></tr>
<tr class="separator:a1e880892862bca393745d8927b24a084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa07db5b5db5fcb761728748b0cf97993"><td class="memItemLeft" align="right" valign="top"><a id="aa07db5b5db5fcb761728748b0cf97993"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>loaded_with_image</b></td></tr>
<tr class="separator:aa07db5b5db5fcb761728748b0cf97993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a553b8ea664f1ae87d5326a80dab1b631"><td class="memItemLeft" align="right" valign="top"><a id="a553b8ea664f1ae87d5326a80dab1b631"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>num_spatial_pyramid_levels</b></td></tr>
<tr class="separator:a553b8ea664f1ae87d5326a80dab1b631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0488eaa37a7eeb8d6114b9d59da22ea4"><td class="memItemLeft" align="right" valign="top"><a id="a0488eaa37a7eeb8d6114b9d59da22ea4"></a>
box_generator&#160;</td><td class="memItemRight" valign="bottom"><b>detect_boxes</b></td></tr>
<tr class="separator:a0488eaa37a7eeb8d6114b9d59da22ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af225de6b4a7e81c4416164704d73ef53"><td class="memItemLeft" align="right" valign="top"><a id="af225de6b4a7e81c4416164704d73ef53"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>box_sizedims</b></td></tr>
<tr class="separator:af225de6b4a7e81c4416164704d73ef53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a458590edc11a53d557b3813d4f1429a1"><td class="memItemLeft" align="right" valign="top"><a id="a458590edc11a53d557b3813d4f1429a1"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>box_maxsize</b></td></tr>
<tr class="separator:a458590edc11a53d557b3813d4f1429a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ab96197375e1c343ed72ec7d90e7b06e6"><td class="memTemplParams" colspan="2"><a id="ab96197375e1c343ed72ec7d90e7b06e6"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:ab96197375e1c343ed72ec7d90e7b06e6"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1scan__image__boxes.html">scan_image_boxes</a>&lt; T, U &gt; &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:ab96197375e1c343ed72ec7d90e7b06e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a284a1474e59b2b4dd6d70808f97c254f"><td class="memTemplParams" colspan="2"><a id="a284a1474e59b2b4dd6d70808f97c254f"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a284a1474e59b2b4dd6d70808f97c254f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1scan__image__boxes.html">scan_image_boxes</a>&lt; T, U &gt; &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:a284a1474e59b2b4dd6d70808f97c254f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a41243876264d8c2e6029e6ce4faeb5e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41243876264d8c2e6029e6ce4faeb5e1">&#9670;&nbsp;</a></span>get_feature_extraction_regions()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Feature_extractor_type , typename Box_generator  = default_box_generator&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classdlib_1_1scan__image__boxes.html">dlib::scan_image_boxes</a>&lt; Feature_extractor_type, Box_generator &gt;::get_feature_extraction_regions </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;&#160;</td>
          <td class="paramname"><em>rect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>regions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - #regions.size() is always the same number no matter what the input is.  The
      regions also have a consistent ordering.
    - all the output rectangles are contained within rect.
</pre><p> ! </p>

</div>
</div>
<a id="af6bc56d8fa3c810851769bf9a69d24f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6bc56d8fa3c810851769bf9a69d24f6">&#9670;&nbsp;</a></span>get_num_detection_templates()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Feature_extractor_type , typename Box_generator  = default_box_generator&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classdlib_1_1scan__image__boxes.html">dlib::scan_image_boxes</a>&lt; Feature_extractor_type, Box_generator &gt;::get_num_detection_templates </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">requires
    - is_loaded_with_image() == true
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="scan__image__boxes_8h_source.html">scan_image_boxes.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
